Subject: RE: [AAA-WG]: Issue eap : Key Name AVP

From: <[email-masked]>
Date: Thu, 6 May 2004 17:42:08 +0300

Ok, does this look ok?

- Add a new section:

   4.1.4  EAP-Key-Name AVP

   The EAP-Key-Name AVP (AVP Code TBD-BY-IANA) is of type OctetString.
   It contains an opaque key identifier (name) generated by the EAP
   method. Exactly how this name is used depends on the link layer in
   question, and is beyond the scope of this document (see [EAPKey] for
   more discussion).

   It should be noted that not all link layers use this name, and
   currently most EAP methods do not generate it. The home Diameter
   server SHOULD include this AVP in Diameter-EAP-Response only if a
   (possibly empty) EAP-Key-Name AVP was present in
   Diameter-EAP-Request.

- Add this to IANA considerations:

   o  This document defines one new AVP (attribute) whose AVP Code
      (Attribute Type) is to be allocated from the Attribute Type
      namespace defined in [RFC2865] and [RFC3575]. This AVP
      (EAP-Key-Name) is defined in Section 4.1.4.

- Update AVP occurrence tables and ABNFs.

BR,
Pasi

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of
> ext Bernard Aboba
> Sent: Thursday, April 22, 2004 5:49 PM
> To: Jari Arkko
> Cc: [email-masked]
> Subject: Re: [AAA-WG]: Issue eap : Key Name AVP
> 
> 
> 
> > You are right. I guess my question at this point is whether
> > Diameter EAP needs to allocate the name AVP from the Diameter
> > or RADIUS space. It seems like it should be allocated from
> > the RADIUS space, so that translation the "compatible RADIUS
> > server" has a standard attribute to use on the RADIUS side.
> >
> > If you and others agree, I think this results in the following
> > modifications of Diameter EAP:
> >
> > 1. Add a key name AVP section
> > 2. Make it appear 0-1 times in both the request and response.
> > 3. Explain that the server should return the AVP in response
> >     if it was present in the request.
> > 4. Explain that the contents come from EAP methods (add
> >     informative reference to EAP keying).
> > 5. Use a RADIUS number space for the attribute number.
> 
> Yes, I think this will work.
>

---

From: Jari Arkko <[email-masked]>
Date: Thu, 06 May 2004 17:58:07 +0300

>    (possibly empty) EAP-Key-Name AVP was present in

Ok otherwise, but how about s/a (possibly empty)/an empty/?
That way NAS implementations don't have to guess whether they
should send some actual information in the request.

--Jari

---

From: "Joseph Salowey" <[email-masked]>
Date: Fri, 7 May 2004 08:15:23 -0700

Looks fine to me.

[email-masked] wrote:
>    question, and is beyond the scope of this document (see [EAPKey]
>    for more discussion).
> 
>>> You are right. I guess my question at this point is whether Diameter
>>> EAP needs to allocate the name AVP from the Diameter or RADIUS
>>> space. It seems like it should be allocated from the RADIUS space,
>>> so that translation the "compatible RADIUS server" has a standard
>>> attribute to use on the RADIUS side.
>>> 
>>> 2. Make it appear 0-1 times in both the request and response. 3.
>>> Explain that the server should return the AVP in response